{
  "format_version": "1.16",
  "minecraft:recipe_shaped": {
    "description": {
      "identifier": "nicothekid:craft_x_bed_magenta_x_mosshroom_planks"
    },
    "tags": [
      "crafting_table"
    ],
    "pattern": [
      "WWW",
      "PPP"
    ],
    "key": {
      "P": {
        "item": "nicothekid:mosshroom_planks"
      },
      "W": {
        "item": "minecraft:wool",
        "data": 2
      }
    },
    "result": {
      "item": "minecraft:bed",
      "data": 2,
      "count": 1
    },
    "priority": 2
  }
}